Update Skill
PUT /api/v3/organizations/{organisation}/ai/skills/{skillId}
PUT
/api/v3/organizations/{organisation}/ai/skills/{skillId}
Updates an existing skill. For imported skills, this updates * local overrides (name, tags, triggerCondition) but not the source content. * Use the sync endpoint to update source content.
Authorizations
Parameters
Path Parameters
organisation
required
string
The organisation ID
skillId
required
string
The skill ID
Request Body required
object
name
string
description
string
content
string
triggerCondition
string
tags
Array<string>
requiredTools
Array<string>
source
object
files
object
disableModelInvocation
boolean
allowedTools
Array<string>
namespace
string
Responses
200
Skill updated successfully
object
success
boolean
true skill
object
message
string
Skill updated successfully400
Invalid request parameters
403
Access denied
404
Skill not found
500
Failed to update skill